Skip to content

getShift

READ

Get shift.

POST /api/v1/people/getShift
curl -X POST '<your-host>/api/v1/people/getShift' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "shiftId": "string"
  }'
Response
{
  "active": true,
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "endTime": "string",
  "friday": true,
  "id": "string",
  "locationId": "string",
  "locationName": "string",
  "monday": true,
  "name": "string",
  "saturday": true,
  "startTime": "string",
  "sunday": true,
  "thursday": true,
  "tuesday": true,
  "updatedAt": "string",
  "updatedBy": "string",
  "wednesday": true
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "shiftId": {
      "type": "string"
    }
  },
  "required": [
    "shiftId"
  ]
}